# KGeomapConfig.cmake provides information about the installed KGeomap library.
# It can be used directly from CMake via find_package(KGeomap NO_MODULE)
#
# The following CMake variables are provided:
#   KGeomap_VERSION_MAJOR - the major version number of KGeomap
#   KGeomap_VERSION_MINOR - the minor version number of KGeomap
#   KGeomap_VERSION_PATCH - the patch version number of KGeomap
#   KGeomap_INCLUDE_DIRS  - the include directories to use
#
# Additionally, the following imported library targets are created, which may be used directly
# with target_link_libraries():
#   KF5::KGeomap - the kgeomap library


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was KF5KGeoMapConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/KF5KGeoMap" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)
find_dependency(Qt5Core 5.7.0)
find_dependency(Qt5WebKitWidgets 5.7.0)
find_dependency(Qt5Widgets 5.7.0)
find_dependency(Qt5Gui 5.7.0)
find_dependency(Qt5Xml 5.7.0)
find_dependency(Qt5Concurrent 5.7.0)
find_dependency(KF5I18n 5.18.0)
find_dependency(KF5Config 5.18.0)
find_dependency(Marble)

include("${CMAKE_CURRENT_LIST_DIR}/KF5KGeoMapTargets.cmake")
